curl --request GET \
--url https://sandbox.birrpay.io/api_keys/{merchant_id}/list \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.birrpay.io/api_keys/{merchant_id}/list"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.birrpay.io/api_keys/{merchant_id}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"key_id": "5hEEqkgJUyuxgSKGArHA4mWSnX",
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"name": "Sandbox integration key",
"prefix": "<string>",
"created": "2022-09-10T10:11:12Z",
"expiration": "never",
"description": "Key used by our developers to integrate with the sandbox environment"
}
]API Key - List
List all the API Keys associated to a merchant account.
Authorizations
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.
Path Parameters
The unique identifier for the merchant account
Query Parameters
The maximum number of API Keys to include in the response
The number of API Keys to skip when retrieving the list of API keys.
Response
List of API Keys retrieved successfully
The identifier for the API Key.
64"5hEEqkgJUyuxgSKGArHA4mWSnX"
The identifier for the Merchant Account.
64"y3oqhf46pyzuxjbcn2giaqnb44"
The unique name for the API Key to help you identify it.
64"Sandbox integration key"
The first few characters of the plaintext API Key to help you identify it.
64The time at which the API Key was created.
"2022-09-10T10:11:12Z"
never The description to provide more context about the API Key.
256"Key used by our developers to integrate with the sandbox environment"